Permalink
Browse files

a bit of README and prepare for 2.0.2

  • Loading branch information...
1 parent 24eb2ab commit 741a3c269b69d6fa0fd3bcf6ce4c8b730365dd17 @kares kares committed Dec 5, 2012
Showing with 30 additions and 1 deletion.
  1. +12 −0 History.txt
  2. +17 −0 README.rdoc
  3. +1 −1 lib/rhino/version.rb
View
@@ -1,3 +1,15 @@
+=== 2.0.2 2012-12-05
+
+* handle Rhino's 64K code generation (method) limit on the fly (#23)
+* correct explicit Ruby equality == and eql? (JRuby 1.7.1 compat)
+* allow to set javascript version programatically - globally also allow
+ reading it from system properties by default
+* allow to set optimization level globally also allow reading it from
+ system properties by default
+* make sure Ruby function wrapper has (Ruby) #call semantics just like
+ JavaScript functions exposed into the Ruby side
+* function's return value should be converted to Ruby (Ruby #call style)
+
=== 2.0.1 2012-08-24
* JSError improvement to preserve nested Ruby error message
View
@@ -189,6 +189,23 @@ be overriden by defining a +Rhino::JAR_PATH+ before +require 'rhino'+ e.g. :
# ...
require 'rhino'
+==== Context customizations
+
+Just like the JVM packaged Rhino scripting engine, therubyrhino gem supports
+specifying JavaScript context properies (optimization level and language version)
+using system properties e.g. to force interpreted mode :
+
+ jruby -J-Drhino.opt.level=-1 -rtherubyrhino -S ...
+
+You might also set these programatically as a default for all created contexts :
+
+ Rhino::Context.default_optimization_level = 1
+ Rhino::Context.default_javascript_version = 1.6
+
+Or using plain old JAVA_OPTS e.g. when setting JavaScript version :
+
+ -Drhino.js.version=1.7
+
== Rhino
Rhino is currently maintained at https://github.com/mozilla/rhino
View
@@ -1,3 +1,3 @@
module Rhino
- VERSION = "2.0.1"
+ VERSION = "2.0.2"
end

0 comments on commit 741a3c2

Please sign in to comment.